Bug 59726 - up2date segfaults on e2fs progs
Summary: up2date segfaults on e2fs progs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-12 07:26 UTC by Gregory Leblanc
Modified: 2015-01-07 23:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 20:35:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (7.72 KB, text/plain)
2002-02-12 07:26 UTC, Gregory Leblanc
no flags Details

Description Gregory Leblanc 2002-02-12 07:26:07 UTC
Description of Problem:
I'm using Red Hat 7.0, with new up2date, rhn, rpm, glibc, db3, popt,
python-xmlrpc, python-popt packages.  When I try to use either up2date -u or
up2date e2fsprogs, up2date exits with a segmentation fault and a core dump. 
Here's a few lines from the output

...
Getting headers for available packages...
Segmentation fault (core dumped)
...


I've attached a stack trace acquired by doing 'gdb -c core /usr/bin/python',
then 'thread apply all bt'.  This seems quite consistent, and is on a fresh
(installed tonight) Red Hat 7.0 system.

Version-Release number of selected component (if applicable):
[root@basinstall /root]# rpm -q up2date
up2date-2.7.11-7.x.1


How Reproducible:
Always

Comment 1 Gregory Leblanc 2002-02-12 07:26:37 UTC
Created attachment 45361 [details]
Traceback

Comment 2 Adrian Likins 2002-03-06 23:26:04 UTC
My guess is a corrupt header in /var/spool/up2date. 

Try removing all the .hdr files from there and trying again.

Also, the next version of the client attempts to do more
sanity checking on a header before attempting to load it,
so this shouldnt be an issue anymore.

Comment 3 Adrian Likins 2004-04-05 20:35:54 UTC
Think issues similar to this should be cleared up
in all currently supported releases (aka, up2date
does more sanity checks, and rpm is much more
robust in the face of wacky headers, so closing
"currentrelease")


Note You need to log in before you can comment on or make changes to this bug.